Process Codexgate Signals
POST
/v1/admin/codexgate/signals/process
const url = 'https://example.com/v1/admin/codexgate/signals/process';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tenant_id":"default","limit":25}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/admin/codexgate/signals/process \ --header 'Content-Type: application/json' \ --data '{ "tenant_id": "default", "limit": 25 }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CodexGateSignalProcessRequestIn
object
tenant_id
Tenant Id
string
limit
Limit
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CodexGateSignalProcessOut
object
processed
Processed
integer
proposed
Proposed
integer
ignored
Ignored
integer
items
Items
Array<object>
CodexGateImprovementProposalOutobject
proposal_id
required
Proposal Id
string
proposal_key
required
Proposal Key
string
title
required
Title
string
status
required
Status
string
signal_key
Signal Key
string
github_ref
Github Ref
string
merge_sha
Merge Sha
string
promotion_decision
Promotion Decision
string
evidence_url
Evidence Url
string
graph_snapshot_url
Graph Snapshot Url
string
Example
{ "processed": 0, "proposed": 0, "ignored": 0, "items": [ { "signal_key": "", "github_ref": "", "merge_sha": "", "promotion_decision": "promote", "evidence_url": "", "graph_snapshot_url": "" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}